const express = require("express");
const path = require("path");
const app = express();
const cors = require("cors")


// esto es para pasar los contenidos de esas carpetas atravez de una url que se puedan leer como archivos
// esto es para no tener que estar subiendo todas las imagenes a este archivo
app.use("/css",express.static('dist'));
app.use("/imagenes", express.static('imagenes'))
app.use(cors());


// morgan es para ver cual es el método, url, respuesta y el tiempo de respuesta

// esta es la dirección en la que cae en el localhost sin otra url y se manda a consola la ip
app.get("/",(req,res)=>{
    res.sendFile(path.join(__dirname, 'index.html'));
    /*console.log("--------------------")
    console.log(req.ip)*/
    
});

const puerto = 3000;
app.listen(puerto,()=>{
    console.log("Página en → http://127.0.0.1:"+puerto);
})